/*
    $Id :$
 */

#include "PTK.h"
#include <unistd.h>
#include <sys/time.h>
#include <pthread.h>

void * ptk_demo1(void *);
void * ptk_demo2(void *);

void mudelay(int t){
 struct timeval tv;
 tv.tv_sec=0;
 tv.tv_usec=1000*t;
 select(0,NULL,NULL,NULL,&tv);  
}


int main(void) {
 pthread_t tid;
 struct picoGC gc;
  
 picoInit();

 picoCreateGC(&gc);
 picoSetForeground(&gc,7);
 picoSetFont(&gc,&font_helv_m25);
 picoDrawText(&gc,5,250,
                     "Actually this is running under\n"
                     "Linux using POSIX threads\n"
                     "in place of RTEMS tasks for\n"
                     "executing the two tasks in\n"
                     "parallel");

 /* execute ptk_demo2() in thread create here and ptk_demo1() in
    main thread 
  */
 pthread_create(&tid,NULL,ptk_demo2,NULL);
 ptk_demo1(NULL);
 return 0;
}